%define         anolis_release 1

Name:           luarocks
Version:        3.9.2
Release:        %{anolis_release}%{?dist}
Summary:        A deployment and management system for Lua modules

License:        BSD
URL:            http://luarocks.org
Source0:        https://luarocks.github.io/%{name}/releases/%{name}-%{version}.tar.gz

BuildRequires:  lua-devel
BuildRequires:  make
BuildRequires:  lua-rpm-macros

Requires:       unzip
Requires:       zip

BuildArch:      noarch

%description
LuaRocks is the package manager for Lua modules.

It allows you to create and install Lua modules as self-contained packages called rocks. 

%package        doc
Summary:        Documentation files for %{name}
Requires:       %{name} = %{version}-%{release}
BuildArch:      noarch

%description    doc
The %{name}-doc package contains documentation files for %{name}.

%prep
%autosetup -p1

%build
./configure \
  --prefix=%{_prefix} \
  --lua-version=%{lua_version} \
  --with-lua=%{_prefix}
%make_build

%install
%make_install

%files
%license COPYING
%dir %{_sysconfdir}/luarocks
%config(noreplace) %{_sysconfdir}/luarocks/config-%{lua_version}.lua
%{_bindir}/luarocks
%{_bindir}/luarocks-admin
%{lua_pkgdir}/luarocks

%files doc
%doc README.md

%changelog
* Sun Mar 26 2023 Feng Su <sufeng@linux.alibaba.com>  - 3.9.2-1
- package init from upstream
